Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1384560

Summary: Screenshot of gnome-maps does not show the map part at all
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: cbm, fedora, fmuellner, otaylor, philip.wyett
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-17 23:32:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    
Attachments:
Description Flags
Screenshot none

Description Ankur Sinha (FranciscoD) 2016-10-13 14:28:53 UTC
Created attachment 1210150 [details]
Screenshot

Description of problem:
Taking a screenshot of gnome-maps results in an empty image

Version-Release number of selected component (if applicable):
gtk3-3.22.1-2.fc25.x86_64
gnome-shell-3.22.1-1.fc25.x86_64
mutter-3.22.1-2.fc25.x86_64
gnome-maps-3.22.0-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Take a screenshot of gnome-maps
2.
3.

Actual results:
Empty image

Expected results:
Map show up?

Additional info:

Comment 1 Christian Stadelmann 2016-10-13 15:58:02 UTC
This is a bug with all kinds of clutter elements in Gtk+ applications.

Affected applications:
* gnome-contacts maps widget
* totem
* gnome-maps

Comment 2 Colin Macdonald 2017-08-14 04:27:54 UTC
Re-tested in Fedora 26: I *can* take a screenshot of Maps.  So at least as stated, this bug seems fixed.

Comment 3 Christian Stadelmann 2017-08-14 06:39:46 UTC
This bug is not fixed, I can still reproduce it when using the Alt+Print key combination. Using the print key only works fine though.

Installed software versions:
gnome-shell-3.24.3-1.fc26.x86_64
clutter-1.26.2-1.fc26.x86_64
mutter-3.24.4-1.fc26.x86_64
gtk3-3.22.17-2.fc26.x86_64
gnome-maps-3.24.3-1.fc26.x86_64

Please reopen this bug report.

Comment 4 Colin Macdonald 2017-08-14 22:46:36 UTC
Oops, sorry I did not try that.

Comment 5 Fedora End Of Life 2018-05-03 08:25:14 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Christian Stadelmann 2018-05-21 19:27:09 UTC
This bug is still present on Fedora 28. Please change the version info accordingly.

Comment 7 Colin Macdonald 2018-08-24 23:02:03 UTC
still reproducible with "alt-prtsc", moving to F29.

Comment 8 Ben Cotton 2019-10-31 19:44:43 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Colin Macdonald 2019-11-17 23:32:54 UTC
Seems fixed in Fedora 31, both prnscrn and alt-prnscrn